toolzerhub API Docs

Get a player's statistics for a year (v1)

Returns a tennis player's year by surface: matches, wins, titles, aces, double faults, serve and break points and tiebreaks. None returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/team/tennis/year-statistics

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Team id (homeTeam.id or awayTeam.id on an event). Tennis players, fighters and drivers are teams too.

Range1 <= value <= 10000000000
year*integer

Year, such as 2025.

Range1900 <= value <= 2100
curl -X GET "https://example.com/v1/sofascore/team/tennis/year-statistics?id=206570&year=2025" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}